Ingres10Dialect (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect
Class Ingres10Dialect

    java.lang.Object
      org.hibernate.dialect.Dialect
          org.hibernate.dialect.IngresDialect
              org.hibernate.dialect.Ingres9Dialect
                  org.hibernate.dialect.Ingres10Dialect

All Implemented Interfaces:
  ConversionContext

    public class Ingres10Dialect

extends Ingres9Dialect

A SQL dialect for Ingres 10 and later versions.

Changes:

- Add native BOOLEAN type support
- Add identity column support

Field Summary

Fields inherited from class org.hibernate.dialect.Dialect
`CLOSED_QUOTE, DEFAULT_BATCH_SIZE, LEGACY_LOB_MERGE_STRATEGY, NEW_LOCATOR_LOB_MERGE_STRATEGY, NO_BATCH, QUOTE, STREAM_XFER_LOB_MERGE_STRATEGY`

Constructor Summary
`Ingres10Dialect()`

Method Summary
`String` | `getIdentityColumnString()` The syntax used during DDL to define a column as being an IDENTITY.
`String` | `getIdentityInsertString()` The keyword used to insert a generated value into an identity column (or null).
`String` | `getIdentitySelectString()` Get the select command used to retrieve the last generated sequence value.
`boolean` | `hasDataTypeInIdentityColumn()` Whether this dialect have an Identity clause added to the data type or a completely separate identity data type
`protected void` | `registerBooleanSupport()`
`boolean` | `supportsIdentityColumns()` Does this dialect support identity column key generation?
`String` | `toBooleanValueString(boolean bool)` The SQL literal value to which this database maps boolean values.

Methods inherited from class org.hibernate.dialect.Ingres9Dialect
`doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, forUpdateOfColumns, getCurrentTimestampSelectString, getCurrentTimestampSQLFunctionName, getLimitString, getQuerySequencesString, isCurrentTimestampSelectStringCallable, registerDateTimeColumnTypes, registerDateTimeFunctions, supportsCurrentTimestampSelection, supportsLimitOffset, supportsOuterJoinForUpdate, supportsPooledSequences, supportsUnionAll, supportsVariableLimit, useMaxForLimit`

Methods inherited from class org.hibernate.dialect.IngresDialect
`dropConstraints, generateTemporaryTableName, getAddColumnString, getCreateSequenceString, getCreateTemporaryTablePostfix, getCreateTemporaryTableString, getDropSequenceString, getLowercaseFunction, getNullColumnString, getSelectGUIDString, getSelectSequenceNextValString, getSequenceNextValString, supportsEmptyInList, supportsExpectedLobUsagePattern, supportsForUpdateOf, supportsLimit, supportsNotNullUnique, supportsSequences, supportsSubselectAsInPredicateLHS, supportsTemporaryTables, supportsTupleDistinctCounts`

Methods inherited from class org.hibernate.dialect.Dialect
`appendIdentitySelectToInsert, appendLockHint, applyLocksToSql, areStringComparisonsCaseInsensitive, bindLimitParametersFirst, bindLimitParametersInReverseOrder, buildSQLExceptionConversionDelegate, buildSQLExceptionConverter, closeQuote, convertToFirstRowValue, createCaseFragment, createOuterJoinFragment, dropTemporaryTableAfterUse, forceLimitUsage, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getAddUniqueConstraintString, getCascadeConstraintsString, getCaseInsensitiveLike, getCastTypeName, getColumnAliasExtractor, getColumnComment, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getCrossJoinSeparator, getDefaultProperties, getDialect, getDialect, getDropForeignKeyString, getDropSequenceStrings, getDropTemporaryTableString, getForUpdateNowaitString, getForUpdateNowaitString, getForUpdateString, getForUpdateString, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIdentityColumnString, getIdentitySelectString, getKeywords, getLimitString, getLobMergeStrategy, getLockingStrategy, getMaxAliasLength, getNativeIdentifierGeneratorClass, getNoColumnsInsertString, getReadLockString, getResultSet, getSelectClauseNullString, getSqlTypeDescriptorOverride, getTableComment, getTableTypeString, getTypeName, getTypeName, getViolatedConstraintNameExtracter, getWriteLockString, hasAlterTable, hasSelfReferentialForeignKeyBug, isLockTimeoutParameterized, openQuote, performTemporaryTableDDLInIsolation, qualifyIndexName, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, registerResultSetOutParameter, remapSqlTypeDescriptor, replaceResultVariableInOrderByClauseWithPosition, requiresCastingOfParametersInSelectClause, supportsBindAsCallableArgument, supportsCascadeDelete, supportsCaseInsensitiveLike, supportsCircularCascadeDeleteConstraints, supportsColumnCheck, supportsCommentOn, supportsExistsInSelect, supportsIfExistsAfterTableName, supportsIfExistsBeforeTableName, supportsInsertSelectIdentity, supportsLobValueChangePropogation, supportsLockTimeouts, supportsParametersInInsertSelect, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsRowValueConstructorSyntax, supportsRowValueConstructorSyntaxInInList, supportsSubqueryOnMutatingTable, supportsTableCheck, supportsTupleCounts, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, toString, transformSelectString, useInputStreamToInsertBlob`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ingres10Dialect

    public Ingres10Dialect()

Method Detail

### toBooleanValueString

    public String toBooleanValueString(boolean bool)

  The SQL literal value to which this database maps boolean values.

  Overrides:
    `toBooleanValueString` in class `Dialect`
  Parameters:
    `bool` - The boolean value
  Returns:
    The appropriate SQL literal.

### registerBooleanSupport

    protected void registerBooleanSupport()

### supportsIdentityColumns

    public boolean supportsIdentityColumns()

  Description copied from class: `Dialect`
  Does this dialect support identity column key generation?

  Overrides:
    `supportsIdentityColumns` in class `Dialect`
  Returns:
    True if IDENTITY columns are supported; false otherwise.

### hasDataTypeInIdentityColumn

    public boolean hasDataTypeInIdentityColumn()

  Description copied from class: `Dialect`
  Whether this dialect have an Identity clause added to the data type or a completely separate identity data type

  Overrides:
    `hasDataTypeInIdentityColumn` in class `Dialect`
  Returns:
    boolean

### getIdentitySelectString

    public String getIdentitySelectString()

  Description copied from class: `Ingres9Dialect`
  Get the select command used to retrieve the last generated sequence value.

  Overrides:
    `getIdentitySelectString` in class `Ingres9Dialect`
  Returns:
    Statement to retrieve last generated sequence value

### getIdentityColumnString

    public String getIdentityColumnString()

  Description copied from class: `Dialect`
  The syntax used during DDL to define a column as being an IDENTITY.

  Overrides:
    `getIdentityColumnString` in class `Dialect`
  Returns:
    The appropriate DDL fragment.

### getIdentityInsertString

    public String getIdentityInsertString()

  Description copied from class: `Dialect`
  The keyword used to insert a generated value into an identity column (or null). Need if the dialect does not support inserts that specify no column values.

  Overrides:
    `getIdentityInsertString` in class `Dialect`
  Returns:
    The appropriate keyword.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.